Bug 1229326 - Broken styles with UI plugin for external links in CFME menu
Summary: Broken styles with UI plugin for external links in CFME menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.0
Assignee: Eric Winchell
QA Contact: Ramesh A
URL:
Whiteboard:
Depends On:
Blocks: 1240359
TreeView+ depends on / blocked
 
Reported: 2015-06-08 13:15 UTC by Ramesh A
Modified: 2015-12-08 13:16 UTC (History)
5 users (show)

Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1240359 (view as bug list)
Environment:
Last Closed: 2015-12-08 13:16:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Broken styles (39.89 KB, image/png)
2015-06-08 13:15 UTC, Ramesh A
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 17:58:09 UTC

Description Ramesh A 2015-06-08 13:15:45 UTC
Created attachment 1036361 [details]
Broken styles

Description of problem:
Broken styles with UI plugin for external links in CFME menu

Version-Release number of selected component (if applicable):
5.4.0.5.20150605150206_7daa1a8

How reproducible:
100%

Steps to Reproduce:
1. Configure the UI plugin as described in https://github.com/ManageIQ/manageiq/pull/1680
2. Click on the plugin links

Actual results:
Displays the results, but with broken styles.  Refer the screenshot for more details.

Expected results:
Should display the results with proper stylings

Additional info:

Comment 2 Harpreet Kataria 2015-06-08 14:25:47 UTC
Martin, 

Can you look into this one.

Thanks,
~Harpreet

Comment 3 Martin Povolny 2015-06-09 09:00:17 UTC
the style:

iframe, .iframe { width: 100%; height: 100% }

from app/assets/stylesheets/main.less is missing in the productized version

reassigning to Erik as he probably knows best

Eric, please, take a look. Looks to be a productization issue. Shall I place the style elsewhere?

Comment 5 CFME Bot 2015-07-13 15:53:00 UTC
New commit detected on cfme_productization/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=f25ef0e5080a310d6dff41bcc0bc2a32f5ec8e0f

commit f25ef0e5080a310d6dff41bcc0bc2a32f5ec8e0f
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Tue Jun 9 09:04:29 2015 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Tue Jun 9 09:04:29 2015 -0400

    added missing iframe css
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1229326

 manageiq/vmdb/productization/assets/stylesheets/main.less | 2 ++
 1 file changed, 2 insertions(+)

Comment 6 CFME Bot 2015-07-13 15:53:08 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=1d2445e1416bfd249458f19660fc6807ad69df17

commit 1d2445e1416bfd249458f19660fc6807ad69df17
Author:     Eric Winchell <ewinchel@redhat.com>
AuthorDate: Tue Jun 9 08:58:45 2015 -0400
Commit:     Eric Winchell <ewinchel@redhat.com>
CommitDate: Tue Jun 9 08:58:45 2015 -0400

    added missing iframe css
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1229326

 manageiq/vmdb/productization/assets/stylesheets/main.less | 2 ++
 1 file changed, 2 insertions(+)

Comment 7 CFME Bot 2015-07-13 15:53:12 UTC
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=50fb9d2d17a0acef3ca22b5b73716e369a54bdc3

commit 50fb9d2d17a0acef3ca22b5b73716e369a54bdc3
Merge: 95d58af 1d2445e
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Mon Jul 13 11:47:25 2015 -0400
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Mon Jul 13 11:47:25 2015 -0400

    Merge branch 'iframe_styling' into 'master'
    
    added missing iframe css
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1229326
    
    See merge request !63

 manageiq/vmdb/productization/assets/stylesheets/main.less | 2 ++
 1 file changed, 2 insertions(+)

Comment 8 Ramesh A 2015-10-29 11:03:20 UTC
Good to go.  Verified and working fine in 5.5.0.8-beta1.4.20151027164951_4ab7fea

Comment 10 errata-xmlrpc 2015-12-08 13:16:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551


Note You need to log in before you can comment on or make changes to this bug.